org.springframework.batch.sample.domain.trade.internal

## Class CustomerCreditIncreaseProcessor

- java.lang.Object
- - org.springframework.batch.sample.domain.trade.internal.CustomerCreditIncreaseProcessor

- All Implemented Interfaces:
    ItemProcessor<CustomerCredit,CustomerCredit>

      public class CustomerCreditIncreaseProcessor
      extends java.lang.Object
      implements ItemProcessor<CustomerCredit,CustomerCredit>

  Increases customer's credit by a fixed amount.
  Author:
    Robert Kasanicky

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.math.BigDecimal` | `FIXED_AMOUNT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomerCreditIncreaseProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CustomerCredit` | `process(CustomerCredit item)` Process the provided item, returning a potentially modified or new item for continued processing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIXED_AMOUNT

          public static final java.math.BigDecimal FIXED_AMOUNT

  - ### Constructor Detail

    - #### CustomerCreditIncreaseProcessor

          public CustomerCreditIncreaseProcessor()

  - ### Method Detail

    - #### process

          public CustomerCredit process(CustomerCredit item)
                                 throws java.lang.Exception

      Description copied from interface: `ItemProcessor`
      Process the provided item, returning a potentially modified or new item for continued processing. If the returned result is null, it is assumed that processing of the item should not continue.
      Specified by:
        `process` in interface `ItemProcessor<CustomerCredit,CustomerCredit>`
      Parameters:
        `item` - to be processed
      Returns:
        potentially modified or new item for continued processing, null if processing of the provided item should not continue.
      Throws:
        `java.lang.Exception`